edit this page - page history - about editing

Composer

PHP

Composer is a package management software similar to bower or npm.

The requested package could not be found in any version, there may be a typo in the package name.


I got this error while trying to install a forked package https://github.com/soundasleep/html5lib-php.
  1. Check that the package composer.json is referencing the new package name and GitHub URL everywhere.
  2. Check that you have pushed your changes to Github.
  3. Check that you have tagged and pushed your tag to Github; e.g. git tag 0.1.3 && git push --tags.
  4. Try uploading the package to Packagist, their help messages are more informative than composer's.
Another option, rather than using Packagist, is to specify a VCS directly in your project's composer.json:

{
  "repositories": [{
    "type": "vcs",
    "url": "https://github.com/soundasleep/html5lib-php"
  }]
}

Categories: PHP
edit this page - what links to here? - page history - top
Last edited by jevon jevon 44 months ago